Package io.vertx.grpc.reflection

## Class ReflectionService

- java.lang.Object
- - io.vertx.grpc.reflection.ReflectionService

- All Implemented Interfaces:
    `Service`

      public class ReflectionService
      extends Object
      implements Service

  Reflection service implementing Reflection.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `bind​(GrpcServer server)` | Binds this service and all its registered method handlers to the specified gRPC server.
    `com.google.protobuf.Descriptors.ServiceDescriptor` | `descriptor()` | Get the service descriptor that contains detailed information about the service.
    `ServiceName` | `name()` | Get the name of the service.
    `static ReflectionService` | `v1()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.grpc.server.Service

      `hasMethod, methodDescriptor, methodDescriptors, pathOfMethod`

- - ### Method Detail

    - #### v1

          public static ReflectionService v1()

      Returns:
        a v1 reflection service

    - #### name

          public ServiceName name()

      Description copied from interface: `Service`
      Get the name of the service.
      Specified by:
        `name` in interface `Service`
      Returns:
        the name of the service

    - #### descriptor

          public com.google.protobuf.Descriptors.ServiceDescriptor descriptor()

      Description copied from interface: `Service`
      Get the service descriptor that contains detailed information about the service.
      Specified by:
        `descriptor` in interface `Service`
      Returns:
        the service descriptor

    - #### bind

          public void bind​(GrpcServer server)

      Description copied from interface: `Service`
      Binds this service and all its registered method handlers to the specified gRPC server. This allows the server to handle requests for this service.
      Specified by:
        `bind` in interface `Service`
      Parameters:
        `server` - the gRPC server to bind this service to